# eric4.QScintilla.Lexers.LexerCSS

Module implementing a CSS lexer with some additional methods.

### Global Attributes

None

### Classes

LexerCSS | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerCSS

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerCSS, Lexer

### Class Attributes

None

### Methods

LexerCSS | Constructor
initProperties | Public slot to initialize the properties.
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

#### LexerCSS (Constructor)

LexerCSS(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerCSS.initProperties

initProperties()

Public slot to initialize the properties.

#### LexerCSS.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerCSS.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up